[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[5721] check subnode dumping is on
From: |
Gavin D. Smith |
Subject: |
[5721] check subnode dumping is on |
Date: |
Sat, 26 Jul 2014 11:15:55 +0000 |
Revision: 5721
http://svn.sv.gnu.org/viewvc/?view=rev&root=texinfo&revision=5721
Author: gavin
Date: 2014-07-26 11:15:54 +0000 (Sat, 26 Jul 2014)
Log Message:
-----------
check subnode dumping is on
Modified Paths:
--------------
trunk/ChangeLog
trunk/info/t/file.sh
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2014-07-26 10:12:29 UTC (rev 5720)
+++ trunk/ChangeLog 2014-07-26 11:15:54 UTC (rev 5721)
@@ -8,6 +8,9 @@
* info/info.c (info_error_was_printed): Variable removed. All
accesses removed.
+ * info/t/file.sh: Check subnode dumping is on when not outputting to
+ a terminal.
+
2014-07-25 Gavin Smith <address@hidden>
* info/infokey.c (compile): Keep going for unrecognized or invalid
Modified: trunk/info/t/file.sh
===================================================================
--- trunk/info/t/file.sh 2014-07-26 10:12:29 UTC (rev 5720)
+++ trunk/info/t/file.sh 2014-07-26 11:15:54 UTC (rev 5721)
@@ -17,4 +17,20 @@
srcdir=${srcdir:-.}
. $srcdir/t/Init-test.inc
-$GINFO --output - --file sample.info
+# Check that we can reach a file with --file
+$GINFO --file file-menu >$GINFO_OUTPUT
+
+# Check that the entire file was dumped, and not just the Top node
+grep 'Node: Top' $GINFO_OUTPUT \
+ && grep 'Node: Node 1' $GINFO_OUTPUT \
+ && grep 'Node: Node 2' $GINFO_OUTPUT \
+ && grep 'Node: Node 3' $GINFO_OUTPUT \
+ && grep 'Node: Has\.dot' $GINFO_OUTPUT
+# Don't look for node "Unreachable" which is not in any menus and not dumped
+
+RETVAL=$?
+
+rm -f $GINFO_OUTPUT
+exit $RETVAL
+
+
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [5721] check subnode dumping is on,
Gavin D. Smith <=